package geometry;

import objects.Objects;

public final class Intersection {
	private final Objects t;
	private final Point intersect;
	private final double parameterT;
	private final Point normal;
	private final double[] uv;

	public Intersection(Objects t, Point intersect, Point normal, double parameterT, double[] uv) {
		this.t = t;
		this.intersect = intersect;
		this.normal = normal;
		this.parameterT = parameterT;
		this.uv = uv;
	}

	public Objects getT() {
		return t;
	}

	public Point getIntersection() {
		return intersect;
	}

	public double getParameterT() {
		return parameterT;
	}

	public Point getNormal() {
		return normal;
	}

	public double[] getUv() {
		return uv;
	}
}
