
package objects.props;

import java.awt.Color;
import java.awt.image.BufferedImage;

public class Texture {
	private BufferedImage img;

	public Texture(BufferedImage img) {
		this.img = img;

	}

	public BufferedImage getImg() {
		return img;
	}

	public Color vratBarvu(double u, double v) {
		int width = img.getWidth();
		int height = img.getHeight();

			if (u >= 1) {
				u = u - 1;
			} 

			if (v >= 1) {
				v = v - 1;
			} 

		int x = (int) ((u * width));
		int y = (int) ((v * height));

		Color color = new Color(img.getRGB(x, y));
		return color;

	}
}
